<template>
  <div class="change-avatar">
    <CropperAvatar
      ref="cropperRef"
      :btnProps="{ preIcon: 'ant-design:cloud-upload-outlined' }"
      :showBtn="false"
      :value="img"
      width="120px"
      @change="handelUpload"
    />
  </div>
</template>
<script lang="ts" setup>
import { propTypes } from '@/utils/propTypes'
import { uploadAvatar } from '@/api/system/user/profile'
import { CropperAvatar } from '@/components/Cropper'

defineOptions({ name: 'UserAvatar' })

defineProps({
  img: propTypes.string.def('')
})

const cropperRef = ref()
const handelUpload = async ({ data }) => {
  await uploadAvatar({ avatarFile: data })
  cropperRef.value.close()
}
</script>

<style lang="scss" scoped>
.change-avatar {
  img {
    display: block;
    height: 100%;
    width: auto;
    // margin-bottom: 15px;
    // border-radius: 50%;
  }
  ::v-deep .el-avatar>img{
    height: 100%;
    width: auto;
  }
  ::v-deep .user-info-head,::v-deep .user-info-head>span{
    width: 104px ;
    height: 60px;
    border-radius: 0%;
    background: white;
  }
  ::v-deep .user-info-head:hover::after{
    text-align: center;
    border-radius: 0%;
    line-height: 60px;
  }
}
</style>
